# Changelog
Este documento contiene todos los cambios relevantes de la interfaz soap del servicio Invoice y de su esquema asociado, invoice.wsdl e invoice.xsd respectivamente.    
El formato del documento corresponde con la sintaxis Markdown, consulte más información sobre este formato [aqui](https://daringfireball.net/projects/markdown/syntax).

[Unreleased]

## [0.1.4] - 2018-06-15
### Changed
- Se modifica el elemento *SignatureValidationModeType*, los valores *Validate* y *NotValidate* pasan a ser *validate* y *notValidate* para seguir la nomenclatura del resto del esquema
- Se modifica el elemento *AdministrativeCentreRoleType*, los valores posibles para este campo se adaptan al formato del resto del documento, aliminando mayúsculas iniciales y espacios intermedios


## [0.1.3] - 2018-05-24
### Added
- Se añade un elemento adicional, *StatusInfo* que contiene la información del estado de la faactura
- Se añade un elemento adicional, *cancellationInfo* que contiene la información de la solicitud de anulación  de la factura
- Se añade un elemento adicional, *AdministrativeCentresType* que contiene un listado de *AdministrativeCentreType*

### Changed
- Se modifica el elemento *additionalAdministrativeCentres* para ilimitar el número de elementos de este tipo permitidos (maxOccurs="unbounded")
- Se modifica el elemento *additionalAdministrativeCentres* para pasar de ser un listado a contenerlo, cambiando el tipo de elemento de *AdministrativeCentreType* a *AdministrativeCentresType*
- Se modifica el elemento *CodesType* para renombrar del listado que contiene de *code* a *item*
- Se modifica el elemento *FileType* para renombrar del campo *file* a *content*

### Removed
- Se elimina el elemento *processingStatus* del tipo InvoiceType
- Se elimina el elemento *cancellationStatus* del tipo InvoiceType
- Se elimina el elemento *cancellationReason* del tipo InvoiceType
- Se elimina el parámetro *receivingUnit* del elemento *GetRegisteredInvoicesRequestType*
- Se elimina el parámetro *receivingUnit* del elemento *GetInvoiceCancellationsRequestType*


## [0.1.2] - 2018-05-08
### Added
- Se añade un elemento adicional, *invoiceFile*, en el tipo ValidateInvoiceSignatureRequestType que contrenda en xml de la factura a validar.

### Changed
- Se modifica el elemento *receivingUnit* de los tipos GetRegisteredInvoicesRequestType, InvoiceType y GetRegisteredInvoicesResponseType pasando de DIReCodeType a DIReUnitType
- Se modifica el elemento *report* del tipo ValidateInvoiceSignatureResponseType pasando a llamarse reportFile y opcional (minOccurs="0") 
- Se modifica el elemento *code* del tipo DIReUnitType pasando de string a DIReCodeType
- Se modifica el elemento *SignatureValidationMode* del tipo DownloadInvoiceRequestType pasando a opcional (minOccurs="0") 

### Removed
- Se elimina el elemento *ValidateAndReject* del tipo SignatureValidationModeType


## [0.1.1] - 2018-04-30
### Added
- Nuevo tipo AttachmentFileType que representa un fichero comprimido que contiene los
anexos de la factura electrónica.
- Nuevo tipo ValidationReportFileType que representa un informe de validación de firma en formato XML y codificado como una cadena en Base 64.
- Se añade un elemento adicional, *invoiceDetail*, en el tipo DownloadInvoiceResponseType que representa el detalle de la factura.
- Se añade un elemento adicional, *detail*, en el tipo ResultStatusType que contendrá un mensaje más detallado acerca del estado de la respuesta devuelta por el sistema.
- Se añade un elemento adicional, *currency*, en el tipo InvoiceType, que indica la moneda en que se expresa el importe.

### Changed
- Se modifica el elemento *attachments* del tipo SendInvoiceRequestType pasando
a denominarse *attachmentFile*, del tipo AttachmentFileType.
- Se modifica el elemento *attachments* del tipo DownloadInvoiceResponseType pasando a denominarse *attachmentFile*, del tipo AttachmentFileType.
- Se elimina la obligatoriedad del elemento *invoiceFile* del tipo DownloadInvoiceResponseType pasando a ser opcional (minOccurs="0").
- Se modifica el nombre del elemento *inform* del tipo DownloadInvoiceResponseType pasando a denominarse *reportFile* de tipo ValidationReportFileType.
- Se modifica el nombre del elemento *inform* del tipo ValidateInvoiceSignatureResponseType pasando a denominarse *report* de tipo ValidationReportFileType.
- Se modifica el elemento *cancellationStatus* del tipo InvoiceType pasando a ser nullable (nillable="true").
- Se modifica el nombre del elemento *rol* del tipo AdministrativeCentreType pasando a denominarse *role*.
- Se modifica el nombre del tipo *AdministrativeCentreRolType* pasando a denominarse *AdministrativeCentreRoleType*.
- Se modifica el tipo de dato del elemento *file* del tipo FileType, pasando de string a base64Binary.
- Se modifica el elemento *mime* de tipo InvoiceFileType para especificar un valor por defecto.
- Se elimina la obligatoriedad del elemento invoiceSummary del tipo SendInvoiceResponseType pasando a ser opcional (minOccurs="0").

### Removed
- Se elimina el tipo AttachmentsType (sutituido por AttachmentFileType).
- Se elimina el tipo ValidationInformFileType (sutituido por ValidationReportFileType).
